pip ยุติการรองรับ Python 2 แล้ว

เพื่อความก้าวหน้าของภาษาโปรแกรมมิ่ง และพัฒนาเวอร์ชั่นใหม่ๆ pip ตัวใหม่ล่าสุดคือ pip 21.0 เป็นต้นไป จะไม่รองรับการใช้งานกับ Python 2.x แล้ว หากต้องการใช้งานเวอร์ชั่น pip ใหม่ๆ จะต้องอัพเกรด Coding ให้รองรับการรันบน Python 3.x ขึ้นไปเท่านั้น

อย่างไรก็ตาม สำหรับผู้ใช้งานที่ไม่ต้องการอัพเกรด Code ของตัวเองไปยัง Python 3.x ก็ไม่ต้องกังวลเรื่องของการอัพเกรด pip เพราะว่าท่านจะสามารถอัพเกรด pip ได้สูงสุดเฉพาะเวอร์ชั่นที่รองรับ Python 2.x เท่านั้นครับ